import { OnInit, OnDestroy } from '@angular/core';
import { FormBuilder, FormGroup } from '@angular/forms';
import { EuiDialogService } from '../../eui-dialog';
import { EuiPickerItem } from '../models/eui-picker-item.model';
import * as i0 from "@angular/core";
export declare class EuiModalPickerComponent implements OnInit, OnDestroy {
    config: any;
    private euiDialogService;
    private fb;
    form: FormGroup;
    dataSrc: EuiPickerItem[];
    filteredData: EuiPickerItem[];
    private destroy$;
    constructor(config: any, euiDialogService: EuiDialogService, fb: FormBuilder);
    ngOnInit(): void;
    ngOnDestroy(): void;
    toggleSelected(id: number): void;
    clearInput(): void;
    static ɵfac: i0.ɵɵFactoryDef<EuiModalPickerComponent, never>;
    static ɵcmp: i0.ɵɵComponentDefWithMeta<EuiModalPickerComponent, "ng-component", never, {}, {}, never, never>;
}
